gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r18429 - gnunet-planetlab


From: gnunet
Subject: [GNUnet-SVN] r18429 - gnunet-planetlab
Date: Mon, 5 Dec 2011 16:55:06 +0100

Author: wachs
Date: 2011-12-05 16:55:06 +0100 (Mon, 05 Dec 2011)
New Revision: 18429

Added:
   gnunet-planetlab/00_planetlab-remove.sh
   gnunet-planetlab/01_planetlab-dependencies.sh
   gnunet-planetlab/02_planetlab-deps-from-source.sh
   gnunet-planetlab/03_planetlab-extractor.sh
   gnunet-planetlab/04_planetlab-libmicrohttpd.sh
   gnunet-planetlab/05_planetlab-gnunet.sh
Log:
fixed scripts


Added: gnunet-planetlab/00_planetlab-remove.sh
===================================================================
--- gnunet-planetlab/00_planetlab-remove.sh                             (rev 0)
+++ gnunet-planetlab/00_planetlab-remove.sh     2011-12-05 15:55:06 UTC (rev 
18429)
@@ -0,0 +1,14 @@
+echo "INSTALLING DEPENDENCIES"
+
+sudo sudo rpm -e --nodeps libgcrypt 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Removing old version of libgcrypt"
+else
+echo " Removing old version of libgcrypt failed"
+exit 1
+fi
+
+exit 0
+
+


Property changes on: gnunet-planetlab/00_planetlab-remove.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: gnunet-planetlab/01_planetlab-dependencies.sh
===================================================================
--- gnunet-planetlab/01_planetlab-dependencies.sh                               
(rev 0)
+++ gnunet-planetlab/01_planetlab-dependencies.sh       2011-12-05 15:55:06 UTC 
(rev 18429)
@@ -0,0 +1,92 @@
+echo "INSTALLING DEPENDENCIES"
+
+sudo yum -t --nogpgcheck install svn -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing svn successful"
+else
+echo " Instalation svn failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install make -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing make successful"
+else
+echo " Instalation make failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gcc -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing gcc successful"
+else
+echo " Instalation gcc failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gcc-c++ -y 1> /dev/null
+
+if [ $? = 0 ]
+then
+echo " Installing gcc-c++ successful"
+else
+echo " Instalation gcc-c++ failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install autoconf automake -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing autoconf successful"
+else
+echo " Instalation autoconf failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gettext -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing gettext successful"
+else
+echo " Instalation gettext failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install zlib-devel -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing zlib-devel successful"
+else
+echo " Instalation zlib-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install texinfo -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing textinfo successful"
+else
+echo " Instalation textinfo failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install gettext-devel -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing gettext-devel successful"
+else
+echo " Instalation gettext-devel failed, exitting ..."
+exit 1
+fi
+
+sudo yum -t --nogpgcheck install m4 -y 1> /dev/null
+if [ $? = 0 ]
+then
+echo " Installing m4 successful"
+else
+echo " Instalation m4 failed, exitting ..."
+exit 1
+fi


Property changes on: gnunet-planetlab/01_planetlab-dependencies.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: gnunet-planetlab/02_planetlab-deps-from-source.sh
===================================================================
--- gnunet-planetlab/02_planetlab-deps-from-source.sh                           
(rev 0)
+++ gnunet-planetlab/02_planetlab-deps-from-source.sh   2011-12-05 15:55:06 UTC 
(rev 18429)
@@ -0,0 +1,283 @@
+#!/bin/sh
+
+
+# libtool
+#--------------------------
+
+function cleanup_libtool {
+rm -rf /tmp/libtool 1> /dev/null 2> /dev/null
+} 
+
+function install_libtool { 
+
+echo Installing libtool
+
+mkdir /tmp/libtool
+cd /tmp/libtool
+
+wget http://ftp.gnu.org/gnu/libtool/libtool-2.4.2.tar.gz 1> /dev/null 2> 
/dev/null 
+if [ $? = 0 ]
+then
+ echo "  Download successful"
+else
+ echo "  Download failed!"
+ cleanup_libtool
+ exit 1
+fi
+
+cd /tmp/libtool
+tar xfvz libtool-2.4.2.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+ echo "  Unpacking successful"
+else
+ echo "  Unpacking failed!"
+ cleanup_libtool
+exit 1
+fi
+
+cd libtool-2.4.2
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+ echo "  Configure successful"
+else
+ echo "  Configure failed!"
+ cleanup_libtool
+exit 1
+fi
+
+make clean all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  make clean all successful"
+else
+echo "  make libtool failed, exiting ..."
+ cleanup_libtool 
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  make install successful"
+else
+echo "  Installing libtool failed, exiting ..."
+ cleanup_libtool    
+exit 1
+fi
+
+echo Libtool installed!
+
+cleanup_libtool
+}
+ 
+# libgcrypt & libgpgerror
+#--------------------------
+
+function cleanup_libgcrypt {
+rm -rf /tmp/libgcrypt
+}
+
+function install_libgcrypt {
+
+mkdir /tmp/libgcrypt
+cd /tmp/libgcrypt
+
+if [ $? = 0 ]
+then
+echo " Extraction libgcrypt 1 successful"
+else
+echo " Libgcrpyt download failure, exiting ..."
+cleanup_libtool
+exit 1
+fi
+
+
+wget ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.5.0.tar.gz 1> /dev/null 
2> /dev/null
+
+tar -zxvf libgcrypt-1.5.0.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Extraction libgcrpt 2  successfull"
+else
+echo " Libgcrpyt download fialure,  Exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+cd libgcrypt-1.5.0
+
+wget ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.8.tar.bz2 1> 
/dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Extraction libgcrpt 2  successfull"
+else
+echo " Libgcrpyt download fialure,  Exiting ..."
+cleanup_ligcrypt
+exit 1
+fi
+
+if [ $? = 0 ]
+then
+echo " libgpg download successfull"
+else
+echo " Libgpg-error configuration failed, exiting ..."
+exit 1
+fi
+
+tar -xjvf libgpg-error-1.8.tar.bz2 1> /dev/null 2> /dev/null
+cd libgpg-error-1.8
+
+./configure --prefix=/usr
+if [ $? = 0 ]
+then
+echo "  Libgpg-error configure successfull"
+else
+echo "  Libgpg-error configuration failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+make clean all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  Libgpg-error make successfull"
+else
+echo "  Libgpt-error configuration failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  Libgpg-error make install successfull"
+else
+echo "  Libgpg-error make install failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+cd ..
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Libgcrypt configure successfull"
+else
+echo " Libgcrypt configure failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+make clean all 1> /dev/null 2> /dev/null
+
+if [ $? = 0 ]
+then
+echo " Libcrpyt make successfull"
+else
+echo " Libcrypt make failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Libcrpyt make install successfull"
+else
+echo " Libcrypt make install failed, exiting ..."
+cleanup_libgcrypt 
+exit 1
+fi
+
+cd ..
+
+}
+
+# libcurl
+#--------------------------
+
+
+function cleanup_libcurl {
+rm -rf /tmp/libcurl
+}
+
+function install_libcurl {
+mkdir /tmp/libcurl
+cd /tmp/libcurl
+
+wget http://curl.haxx.se/download/curl-7.23.1.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Download successful"
+else
+  echo " Download failed, exiting ..."
+cleanup_libgcrypt
+exit 1
+fi
+
+tar xvfz curl-7.23.1.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Unpack successful"
+else
+  echo " Unpack failed, exiting ..."
+  cleanup_libcurl
+ exit 1
+fi
+
+cd curl-7.23.1
+./configure --with-gnutls 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libcurl configure successful"
+else
+  echo " Libcurl configure failed, exiting ..."
+cleanup_libcurl
+exit 1
+fi
+ 
+make all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libcurl make all successful"
+else
+  echo " Libcurl make all failed, exiting ..."
+cleanup_libcurl
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+  echo " Libcurl make install successful"
+else
+  echo " Libcurl make install failed, exiting ..."
+  cleanup_libcurl
+  exit 1
+fi
+
+}
+
+
+
+echo "INSTALLING DEPENDENCIES FROM SOURCE"
+
+# Installing libtool
+install_libtool
+cleanup_libtool
+
+#echo "INSTALLING libcrypt"
+install_libgcrypt
+cleanup_libgcrypt
+
+#echo "INSTALLING libcurl"
+install_libcurl
+cleanup_libcurl
+
+
+
+
+
+
+


Property changes on: gnunet-planetlab/02_planetlab-deps-from-source.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: gnunet-planetlab/03_planetlab-extractor.sh
===================================================================
--- gnunet-planetlab/03_planetlab-extractor.sh                          (rev 0)
+++ gnunet-planetlab/03_planetlab-extractor.sh  2011-12-05 15:55:06 UTC (rev 
18429)
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+echo "INSTALLING libxtractor"
+sudo svn checkout https://gnunet.org/svn/Extractor 
+if [ $? = 0 ]
+then
+echo " Checkedout Extractor successfull"
+else
+echo " Checkedout Extractor failed, exiting ..."
+exit 1
+fi
+
+cd Extractor
+sudo ./bootstrap
+if [ $? = 0 ]
+then
+echo " Extractor bootstrap successfull"
+else
+echo " Extractor bootstrap failed, exiting ..."
+exit 1
+fi
+
+sudo ./configure
+if [ $? = 0 ]
+then
+echo " Extractor configure successfull"
+else
+echo " Extractor configure failed, exiting ..."
+exit 1
+fi
+
+sudo make clean
+sudo make
+if [ $? = 0 ]
+then
+echo " Extractor make successfull"
+else
+echo " Extractor make failed, exiting ..."
+exit 1
+fi
+
+sudo make install
+if [ $? = 0 ]
+then
+echo " Extractor make install successfull"
+else
+echo " Extractor make install failed, exiting ..."
+exit 1
+fi
+
+cd ..
+exit 0


Property changes on: gnunet-planetlab/03_planetlab-extractor.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: gnunet-planetlab/04_planetlab-libmicrohttpd.sh
===================================================================
--- gnunet-planetlab/04_planetlab-libmicrohttpd.sh                              
(rev 0)
+++ gnunet-planetlab/04_planetlab-libmicrohttpd.sh      2011-12-05 15:55:06 UTC 
(rev 18429)
@@ -0,0 +1,52 @@
+echo "INSTALLING libmicrohttpd"
+svn co https://gnunet.org/svn/libmicrohttpd
+cd libmicrohttpd/
+if [ $? = 0 ]
+then
+echo " Extraction libmicrohttpd successfull"
+else
+echo " Extraction libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+
+sudo ./bootstrap
+if [ $? = 0 ]
+then
+echo " Bootstrap libmicrohttpd successfull"
+else
+echo " Bootstrap libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+sudo ./configure --with-gnutls --enable-messages --enable-curl
+if [ $? = 0 ]
+then
+echo " Configure libmicrohttpd successfull"
+else
+echo " Configure libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+
+sudo make clean
+sudo make
+if [ $? = 0 ]
+then
+echo " make libmicrohttpd successfull"
+else
+echo " make libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+sudo make install
+if [ $? = 0 ]
+then
+echo " make install libmicrohttpd successfull"
+else
+echo " make install libmicrohttpd failed, exiting ..."
+exit 1
+fi
+
+cd ..
+exit 0


Property changes on: gnunet-planetlab/04_planetlab-libmicrohttpd.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: gnunet-planetlab/05_planetlab-gnunet.sh
===================================================================
--- gnunet-planetlab/05_planetlab-gnunet.sh                             (rev 0)
+++ gnunet-planetlab/05_planetlab-gnunet.sh     2011-12-05 15:55:06 UTC (rev 
18429)
@@ -0,0 +1,49 @@
+#!/bin/sh
+echo "INSTALLING GNUNET"
+svn checkout https://gnunet.org/svn/gnunet/
+cd gnunet/
+
+./bootstrap
+if [ $? = 0 ]
+then
+echo " Bootstrap gnunet successfull"
+else
+echo " Bootstrap gnunet failed, exiting ..."
+exit 1
+fi
+
+./configure --prefix=$HOME/gnbuild --with-extractor=/usr/local
+if [ $? = 0 ]
+then
+echo " configure gnunet successfull"
+else
+echo " configure gnunet failed, exiting ..."
+exit 1
+fi
+
+
+sudo make clean
+sudo make
+if [ $? = 0 ]
+then
+echo " make gnunet successfull"
+else
+echo " make gnunet failed, exiting ..."
+exit 1
+fi
+
+
+
+sudo make install
+if [ $? = 0 ]
+then
+echo " make install gnunet successfull"
+else
+echo " make install gnunet failed, exiting ..."
+exit 1
+fi
+
+export GNUNET_PREFIX=$HOME/gnbuild
+export PATH=$PATH:$HOME/gnbuild/bin
+make check
+


Property changes on: gnunet-planetlab/05_planetlab-gnunet.sh
___________________________________________________________________
Added: svn:executable
   + *




reply via email to

[Prev in Thread] Current Thread [Next in Thread]